MetadataConverter (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.gis

## Class MetadataConverter

- java.lang.Object
- - org.gcube.datatransfer.resolver.gis.MetadataConverter

-     public class MetadataConverter
      extends Object

  The Class MetadataConverter.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 7, 2016

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`
    `static String` | `NOT_FOUND`
    `protected static String` | `SERVICE_WMS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeoserverBaseUri` | `getGeoserverBaseUri(String uri)` Gets the geoserver base uri.
    `static String` | `getWMSOnLineResource(GeonetworkInstance geonetowrkInstance, String uuid)` Gets the WMS on line resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_WMS

          protected static final String SERVICE_WMS

      See Also:
        Constant Field Values

    - #### logger

          protected static org.slf4j.Logger logger

    - #### NOT_FOUND

          public static final String NOT_FOUND

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetadataConverter

          public MetadataConverter()

  - ### Method Detail

    - #### getGeoserverBaseUri

          public static GeoserverBaseUri getGeoserverBaseUri(String uri)

      Gets the geoserver base uri.
      Parameters:
        `uri` - the uri
      Returns:
        the input uri without the parameters, (the uri substring from start to index of '?' char (if exists)) if geoserver base url not found, geoserver url otherwise

    - #### getWMSOnLineResource

          public static String getWMSOnLineResource(GeonetworkInstance geonetowrkInstance,
                                    String uuid)
                                             throws Exception

      Gets the WMS on line resource.
      Parameters:
        `geonetowrkInstance` - the geonetowrk instance
        `uuid` - the uuid
      Returns:
        the WMS on line resource
      Throws:
        `Exception` - the exception

Copyright © 2016. All Rights Reserved.